Revision history for Alien-Build

1.67      2019-04-22 07:55:59 -0400
  - Production release identical to 1.66_01

1.66_01   2019-04-21 13:46:14 -0400
  - Fix to Fetch::CurlCommand plugin.  It's handling of URLs with trailing slash (/)
    wasn't quite right.  (gh#112, gh#113)

1.65      2019-04-11 09:15:37 -0400
  - Further improvements with ExtUtils::Depends compatability (gh#107, gh#109).
  - Improved documentation (gh#106).
  - Updated spec for ALIEN_INSTALL_TYPE.  When set, Alien consumers that
    require an opt-in for using an Alien may use the fact that this environment
    variable is set as an opt-in (gh#104, gh#106).

1.64_01   2019-04-10 13:06:45 -0400
  - Improved compatability with ExtUtils::Depends (gh#107, gh#108).

1.63      2019-04-08 17:19:03 -0400
  - Documentation improvements
  - Fixed bug in Test::Alien::Build alienfile_skip_if_missing_prereqs
    where subtest / test was always skipped regardless of requirements.
    It now (correctly) only skips if there are missing requirements.

1.62      2019-03-27 11:34:00 -0400
  - Production release identical to 1.61_01

1.61_01   2019-03-25 15:35:06 -0400
  - Add hook property `version` for probe hook (gh#99, gh#100).
  - Improvements for Fetch CurlCommand plugin (gh#101).

1.60      2019-03-01 03:16:23 -0500
  - Documentation improvemens.  (gh#50, gh#84).

1.59_01   2019-02-27 21:40:24 -0500
  - Fix test fail for download negotiation plugin introduced in 1.58_01
    which was expressed on systems without curl installed.

1.58_01   2019-02-27 12:50:20 -0500
  - Prefer Fetch::CurlCommand over Fetch::HTTPTiny for https when:
     * Net::SSLeay and IO::Socket::SSL are not installed
     * AND curl is installed
     * AND curl supports https
    This makes AB more reliable on platforms like OS X when openssl
    is broken without a third party package system like homebrew,
    and on older Perls like 5.8.x where Net::SSLeay frequently does
    not install or pass tests.
    The existing behavior of prefer Fetch::HTTPTiny when:
     * Net::SSLeay and IO::Socket::SSL are already installed
     * OR the URL is http
     * OR curl is not already installed
    is still in effect. (gh#93, gh#94)

1.57_01   2019-02-26 08:52:34 -0500
  - Test unzip command before blindly using it (tests were already
    being made for tarballs) (gh#90)

1.56_01   2019-02-24 14:09:23 -0500
  - Prefer Alien::unzip over Archive::Zip.  The latter turns out to be broken
    on one platform or another for much of the time.  (gh#74, gh#89).

1.55      2019-02-24 11:35:29 -0500
  - Production release identical to 1.54_01

1.54_01   2019-02-21 15:49:28 -0500
  - Add atleast_version, exact_version, max_version and version_cmp methods
    to Alien::Base (leonerd++ gh#75, gh#77)

1.53_01   2019-02-21 11:35:47 -0500
  - Prefer PkgConfig::PP on MSWin32 where it is more reliable. (gh#82, gh#85)
  - Test tar command before blindly using it (tests were already
    being made for compressed tars "tar.gz", "tar.xz", etc) (gh#86, gh#87)
  - Tweaks to test suite to hopefully accommodate a haiku install (gh#81)
  - Add atleast_version, exact_version and max_version properties for
    pkg-config plugins (gh#78, gh#79)

1.52      2019-02-09 05:45:12 -0500
  - Use $alien->libs -L flags to help find system dynamic libs.

1.51      2019-01-19 14:23:23 -0500
  - cmake plugin sets CMAKE_INSTALL_LIBDIR:PATH to lib for share installs
    for cmake projects using GNUInstallDirs on platforms that default to
    something other than lib.

1.50      2019-01-16 12:55:08 -0500
  - Removed temp testing files unintentionally included in the previous
    release.
  - Require ExtUtils::MakeMaker 6.64, for Alien::Build::MM, which can
    sometimes have its BUILD_REQUIRES or TEST_REQUIRES overridden by
    Dist::Zilla otherwise.

1.49      2018-11-04 15:22:40 -0500
  - Added Alien::Build::Plugin::Test::Mock
  - Added alienfile_skip_if_missing_prereqs function to Test::Alien::Build
  - Remove run-time dependency on Test2::Suite
    Test2::API is still a run-time dependency, but that has
    been in-core since 5.26.

1.48      2018-07-04 20:33:29 -0400
  - Production release identical to 1.47_01

1.47_01   2018-07-03 23:17:09 -0400
  - Fixed bug where Alien::Base was capturing stderr and stdout
    from pkg-config, instead of just stdout which is what it should
    be doing.
  - Additional diagnostics for xz fail

1.46      2018-06-25 03:08:25 +0000
  - Production release identical to 1.45_01

1.45_01   2018-06-24 08:13:08 -0400
  - Add alt method to Alien::Base.  This merges the capabilities from
    Alien::Role::Alt into core, making that role now obsolete.
  - Add alt_names and alt_exists methods to Alien::Base.  This was a
    capability missing from Alien::Role::Alt
  - Fix bug in Alien::Build::MM where 'make alien_prop_runtime' printed
    install instead of runtime properties

1.44_01   2018-06-20 06:36:57 -0600
  - Added Alien::Build::Plugin::Prefer::GoodVersion

1.43      2018-06-03 06:41:28 -0400
  - Documentation fixes
  - Use a custom site.config to ensure libraries are installed in lib
    and not lib64 or lib/64 for share installs

1.42      2018-05-09 08:19:18 -0400
  - Corrected typo for install_prop->{old}->{prefix} (had been preifx)

1.41      2018-04-24 06:19:18 -0400
  - before and after directives in alienfile triggers requirement on Alien::Build 1.40

1.40_01   2018-04-12 09:21:05 -0400
  - Add before and after directives to alienfile syntax

1.39      2018-03-09 05:51:47 -0500
  - Production release identical to 1.38_01

1.38_01   2018-03-01 03:27:29 -0500
  - Additional testing diagnostics

1.37      2018-02-23 10:13:44 -0500
  - Fixed cmake test which would fail without a C++ compiler (gh#53 ppisar++)

1.36      2018-02-05 10:51:59 -0500
  - Production release identical to 1.35_01

1.35_01   2017-12-28 12:42:56 -0500
  - Improve diagnostic in command line extraction test

1.34_01   2017-12-27 10:30:10 -0500
  - Add env_interpolate meta property.
  - PkgConfig plugins now attempt to set PKG_CONFIG environment variable during build

1.33_01   2017-11-08 11:54:19 -0500
  - Improve diagnostic for partially installed Alien error

1.32      2017-11-03 13:15:35 -0400
  - Add ALIEN_INSTALL_NETWORK environment variable.  Set to false if you don't
    want to allow network fetch.

1.31_01   2017-10-31 16:50:52 -0400
  - Fix testing prereq bug introduced in 1.30_01.

1.30_01   2017-10-31 14:24:15 -0400
  - Add prefer property to Download::Negotiate plugin

1.29_01   2017-10-30 09:54:22 -0400
  - Fix bug in Alien::Base::Wrapper where -l flags were being ignored by EUMM
  - MSYS plugin works with ffi build
  - Windows specific fixes for Alien::Base::Wrapper
  - Removed optional dependency on Test::Exec

1.28      2017-10-29 19:39:19 -0400
  - Production release identical to 1.27_01

1.27_01   2017-10-27 10:26:18 -0400
  - Fix incompatibility with older versions of ExtUtils::MakeMaker where test
    directive in alienfile was ignored.

1.26_01   2017-10-25 12:28:58 -0400
  - Fix Test::Alien bug where -L could be placed after directories specified in %Config
    (this was already handled correctly by Alien::Base::Wrapper).
  - Remove cpp and C++ options for xs_ok (I don't believe these were used in practice
    and were issuing deprecation warnings for a while).
  - A number of documentation errors have been fixed (jjatria++ leto++)

1.25      2017-10-09 08:57:34 -0400
  - Production release identical to 1.24_01

1.24_01   2017-10-08 10:40:11 -0400
  - Build process now considers share/pkgconfig in addition to lib/pkgconfig
    for all things pkg-config related (gh#39, gh#40 a3f++)

1.23_01   2017-10-07 20:58:52 -0400
  - Improve SSL diagnostics for Download::Negotiate and Fetch::HTTPTiny
    plugins.

1.22      2017-10-05 11:43:25 -0400
  - Improved bootstrap_ssl to allow use of Net::SSLeay, if it is already
    installed.
  - Windows path fix in test suite

1.21      2017-10-02 15:36:33 -0400
  - Fix bug in Test::Alien where extra_compiler_flags or extra_linker_flags
    could override (instead of augment) the alien cflags or libs.  This is
    most commonly a problem when using Test::Alien::CPP.

1.20      2017-10-01 06:52:36 -0400
  - Remove dependency on Alien::Base::ModuleBuild
  - Add access to environment via %{env.VARNAME}
  - Move Alien::Base::PkgConfig from ABMB

1.19_01   2017-09-28 13:06:28 -0400
  - Add Alien::Build::Version::Basic
  - Add Alien::Build::Plugin::Fetch::CurlCommand
  - Add Alien::Build::Plugin::Fetch::Wget
  - Workaround for old tar on Solaris
  - Fix test for Solaris 64 bit
  - Add start_url directive to alienfile
  - Add bootstrap_ssl property to Alien::Build::Plugin::Download::Negotiate

1.18      2017-09-22 06:40:51 -0400
  - Fixed bug where Probe::CBuilder plugin might not play nice with other
    probes.

1.17_01   2017-09-20 14:36:41 -0400
  - Add apply_plugin to Alien::Build::Meta
  - Deprecated Alien::Build::Plugin subplugin method (use apply_plugin instead)

1.16      2017-09-17 16:30:02 -0400
  - Removed unused internal module Alien::Build::Util::Win32::RegistryDump

1.15_01   2017-09-15 03:24:43 -0400
  - Fix for race condition introduced in 1.14_01

1.14_01   2017-09-14 16:35:29 -0400
  - Add alien_subtest, alien_checkpoint_ok and alien_resume_ok
    to Test::Alien::Build
  - add test directive to alienfile
  - add test method to Alien::Build
  - add alien_test target to Alien::Build::MM

1.12      2017-09-11 10:11:14 -0400
  - Production release identical to 1.11_01

1.11_01   2017-09-08 18:19:46 -0400
  - Require Readonly 1.60 for tests that use it (it is an optional dependency)
    to avoid test failure on Perl 5.8.x
  - Fix infrequent test failure on t/alien_base__system_installed.t triggered
    by random system configuration.

1.10      2017-09-07 20:57:25 -0400
  - Production release identical to 1.09_01

1.09_01   2017-09-07 07:34:40 -0400
  - Fix test regression introduced in 1.08_01

1.08_01   2017-09-05 22:26:36 -0400
  - Add support for out-of-source builds
  - The Build::CMake plugin now supports out-of-source builds
  - The Build::Autoconf plugin now supports out-of-source builds
  - Add extract install property
  - Add out_of_source meta property
  - Starting with this release, Alien::Base::ModuleBuild is no longer a prereq on
    _development_ releases.  It will remain a prereq on production releases until at
    least October 1st.  This is to help flush out any issues on cpantesters for this
    upcoming transition.

1.07_01   2017-09-05 09:21:13 -0400
  - Fix windows test bug introduced in 1.06_01
  - Add alien_rc to Test::Alien::Build

1.06_01   2017-09-04 12:07:38 -0400
  - Add Alien::Build::Plugin::Prefer::BadVersion
  - Support for cd in a command sequence
  - Added support for ALIEN_INSTALL_TYPE=default
  - Added override hook (see Alien::Build::Manual::PluginAuthor)

1.05      2017-08-28 20:08:29 -0400
  - add %{make_path} helper to Alien::Build::Interpolate::Default.
  - Fixed bug with read-only $_ triggered by Dist::Zilla::Plugin::AlienBuild (zmughal++)

1.04      2017-08-25 06:41:44 -0400
  - add %{mkdir_deep} helper to Alien::Build::Interpolate::Default.

1.03_02   2017-08-24 13:16:04 -0400
  - add ffi_name runtime property

1.02      2017-08-24 06:56:46 -0400
  - Fix !export tag for Alien::Base::Wrapper
  - Alien::Build::MM: Include meta about share and system requirements in x_alienfile

1.01      2017-08-22 07:28:54 -0400
  - Fix bug in Extract::Negotiate plugin
  - Fixes for running with perl installed in path with spaces.

1.00      2017-08-21 16:09:37 -0400
  - Documentation improvements
  - Fixes for running from directories with spaces.

0.99      2017-08-17 12:53:55 -0400
  - Fix bug in Test::Alien xs_ok would crash with multiple alines with xs_load methods.

0.98_01   2017-08-16 17:50:17 -0400
  - Added Alien::Build::Plugin::Build::CMake (which was briefly in its own distribution).

0.97      2017-08-16 17:36:36 -0400
  - Production release identical to 0.96_01

0.96_01   2017-08-16 11:30:50 -0400
  - Added Alien::Build::Plugin::Build::Make (which was briefly in its own distribution).
  - Removing accidental dependency on Archive::Tar
    (it should be optional, though it is available as part of the Perl core on 5.10+)
  - Fixed bug where Test::Alien xs_ok could throw an exception instead
    of failing gracefully.
  - Test::Alien alien_ok does not crash when undef is passed to it
  - C++ support in Test::Alien xs_ok is deprecated and will be removed on or after
    31 August 2017.  This feature was experimental.  This capability will be developed
    in the separate distribution Test-Alien-CPP
  - remove Test::Alien::CanCompileCpp.  This module will come bundled with
    Test-Alien-CPP instead.

0.95      2017-08-11 09:47:57 -0400
  - Improve extractor logic for zip files

0.94_01   2017-08-10 13:27:59 -0400
  - Diagnostic release

0.93_01   2017-08-09 08:05:13 -0400
  - Development release otherwise identical to 0.92

0.92      2017-08-09 08:03:00 -0400
  - Extract::ArchiveTar plugin now probes for bz2 support rather
    than trusting Archive::Tar which can sometimes report incorrectly
    that it supports bz2.

0.91      2017-08-08 05:24:27 -0400
  - Production release identical to 0.90_01

0.90_01   2017-08-07 15:30:27 -0400
  - Add alien_download_ok to Test::Alien::Build
  - Add alien_extract_ok to Test::Alien::Build
  - Extract now ignores pax_global_header, produced by extracting some
    tarballs using older tars (including older versions of Archive::Tar).
  - Fix detection logic for supported compression by tar in Extract::CommandLine

0.89_01   2017-08-07 08:57:48 -0400
  - Extract negotiator plugin checks for .gz and .bz2 support in
    Archive::Tar before using ArchiveTar plugin, and will fallback on
    Extract::CommandLine if it is not available.
  - Extract::ArchiveTar skips appropriate tests if compression
    support is not available

0.88_01   2017-08-07 04:50:06 -0400
  - Diagnostic release

0.87_01   2017-08-05 11:59:43 -0400
  - Diagnostic release

0.86_01   2017-08-05 11:51:23 -0400
  - Add alien_build_clean to Test::Alien::Build
  - Additional MSYS2 fixes

0.85_01   2017-08-04 15:17:52 -0400
  - Diagnostic release

0.84_01   2017-08-04 15:15:48 -0400
  - Fix testing failure on msys2/mingw32/64 which has a pkg-config
    that defaults to rewriting prefix.
  - Fix skip in test which could cause failure in PkgConfig::PP test
  - Add msys_version property to Build::Autoconf and Build::MSYS plugins
  - Add platform.system_type meta property

0.83_01   2017-08-03 19:24:30 -0400
  - Development release otherwise identical to 0.82

0.82      2017-08-03 16:51:26 -0400
  - Require ExtUtils::ParseXS 3.30 (gh#28)
  - Revert regression where PkgConfig.pm would not loaded before use

0.81_01   2017-08-01 15:03:22 -0400
  - Development release otherwise identical to 0.80

0.80      2017-08-01 14:49:14 -0400
  - Prefer non-legacy version
  - Fix PkgConfig::CommandLine bug introduced in 0.79_01
  - Added Alien::Role documentation

0.79_01   2017-08-01 12:22:15 -0400
  - Added alien_install_type_is to Test::Alien::Build
  - PkgConfig::CommandLine plugin supports multiple pkg_names
  - PkgConfig::PP plugin supports multiple pkg_names
  - PkgConfig::LibPkgConf is a candidate for removing from core
  - PkgConfig::LibPkgConf plugin supports multiple pkg_names
  - PkgConfig::Negotiate plugin supports multiple pkg_names

0.78_01   2017-07-30 12:55:31 -0400
  - Development release otherwise identical to 0.77

0.77      2017-07-30 12:54:13 -0400
  - Add options to Probe::CommandLine plugin: match_stderr, version_stderr

0.76_01   2017-07-26 11:31:44 -0400
  - Development release otherwise identical to 0.75

0.75      2017-07-26 11:30:11 -0400
  - Disable C++ Test::Alien test on production releases
    C++ in Test::Alien is considered experimental and the
    test has been intermitently causing a hard fail.
    Until the issue is resolved the test will only run on
    development releases

0.74      2017-07-25 06:52:43 -0400
  - Add alien_build_ok to Test::Alien::Build
  - Enable Alien::Base::Dino compatibility in Test::Alien

0.73      2017-07-24 07:19:49 -0400
  - Fetch::FTP plugin will not attempt FTP transfer with non-FTP URLs
  - Otherwise production release mostly identical with 0.72_01 release

0.72_01   2017-07-22 07:36:35 -0400
  - Marking C++ support in Test::Alien as EXPERIMENTAL
    (it seems to be unreliable on MSWin32, possibly others)
  - Fixed Extract::CommandLine probe of tar command to see if it
    can handle tar.gz, tar.bz2, tar.xz (feature introduced in
    0.69_01).
  - Extract::CommandLine fallback on ptar if bsdtar or tar are
    not available.
  - Add Fetch::LocalDir plugin
  - Add tmp flag for local files to avoid copies

0.71_01   2017-07-21 15:07:32 -0400
  - Improve Alien::Autotools support by updating ACLOCAL_PATH
    when you requires 'Alien::Autotools';
  - Add cbuilder_compile option to Test::Alien xs_ok function
  - Add cbuilder_link option to Test::Alien xs_ok function
  - Add cpp option to Test::Alien xs_ok function
  - Add C++ option to Test::Alien xs_ok function

0.70_01   2017-07-21 07:23:04 -0400
  - (Alien::Build::MM) Fix race condition with parallel make (GH#24)

0.69_01   2017-07-20 12:17:12 -0400
  - Allow Alien::Build or Alien::Base as requires in alienfile.
  - Fix warnings that sometimes come from Build::SearchDep plugin
  - Extract::CommandLine tests to see if tar can handle tar.gz, tar.bz2, tar.xz
    to avoid needing Alien::gzip, Alien::bzip2 or Alien::xz

0.68_01   2017-07-19 08:54:58 -0400
  - ALIEN_BUILD_PKG_CONFIG can be used to override the PkgConfig::Negotiate
    logic.
  - Extra diagnostics for PkgConfig::PP failure in gather stage

0.67_01   2017-07-18 13:52:56 -0400
  - Merged Alien-Base and Alien-Build.  For the old Alien-Base change log
    see Changes.Alien-Base

0.66      2017-07-17 02:46:11 -0400
  - Fix cmake helper.

0.65_01   2017-07-16 12:29:36 -0400
  - Fixed bug in Core::Download plugin which would fail if download
    was a directory tree instead of a tarball

0.64_01   2017-07-15 15:41:49 -0400
  - Merged Alien-Base-Wrapper and Alien-Build.  For the old Alien-Base-Wrapper change log
    see Changes.Alien-Base-Wrapper

0.63      2017-07-15 14:38:40 -0400
  - Extract::CommandLine plugin to use Alien::Gzip, Alien::Libbz2 and Alien::xz
    when gzip, bzip2 or xz is not provided by operating system

0.62      2017-07-13 21:27:31 +0000
  - Add support for rc file ~/.alienfile/rc.pl
  - Add start_url meta property
  - Fetch plugins use start_url property by default
  - Turn off Test2::Plugin::SRand, which seemed to be triggering an error in File::Temp
    see fd3208bfe8613aae63e4439aa1f4c78d01be086e

0.61      2017-07-13 11:10:46 +0000
  - Add passive property to Download::Negotiate plugin
  - Add passive property to Fetch::NetFTP plugin
  - Add log directive to alienfile

0.60      2017-07-12 22:26:22 -0400
  - Fix broken test t/01_use.t

0.59      2017-07-12 21:10:14 -0400
  - ACTUALLY removed Alien::Build::Plugin::Probe::GnuWin32, which
    I promised to remove two releases ago :/

0.58      2017-07-12 20:19:13 -0400
  - If PkgConfig.pm is needed, version 0.14026 will be required
    (PkgConfig.pm is a dynamic prereq on environments that do
    not have pkg-config or pkgconf).

0.57      2017-07-12 16:45:54 -0400
  - Add alienfile_ok to Test::Alien::Build
  - Fixed bug with preload and postload environment variables
  - Removed Alien::Build::Plugin::Fetch::PromptBeforeDownload
    which is now a separate distribution
  - Removed Alien::Build::Plugin::Probe::GnuWin32
    which is now a separate distribution

0.56_01   2017-07-11 16:39:38 -0400
  - Merged Test-Alien and Alien-Build.  For the old Test-Alien change log
    see Changes.Test-Alien
  - Import helpers from Aliens that are required using requires.
    (this was always the intent, but for some reason was not implemented until now).
  - Add helper_ok test to Test::Alien
  - Add interpolate_template_is test to Test::Alien
  - Add Test::Alien::Build
  - Add has_helper method to Alien::Build::Interpolate

0.55      2017-07-09 12:25:06 -0400
  - Use lib/pkgconfig and share/aclocal from any Alien::Base requires.
    Previously only Alien::Base modules build with alienfile + Alien::Build
    were used.

0.54      2017-07-07 01:28:54 -0400
  - Alien::Build::MM add alien_prop target

0.53      2017-07-06 13:04:34 -0400
  - Build::SearchDep sets CXXFLAGS (in addition to CFLAGS) for C++ projects
  - Probe::CBuilder adds aliens property
  - Probe::CBuilder adds lang property
  - Build::SearchDep adds public_I property
  - Build::SearchDep adds public_l property

0.52      2017-06-28 17:26:24 -0400
  - Enhanced Fetch::NetFTP plugin to try passive mode if active fails.

0.51      2017-06-27 15:04:19 -0400
  - Fixup ACLOCAL_PATH on Windows

0.50      2017-06-27 12:50:12 -0400
  - Update ACLOCAL_PATH for any required Alien that has a share/aclocal directory.

0.49      2017-06-26 17:18:25 -0400
  - Fix: set runtime_prop version instead of runtime_prop
    based on archive version number

0.48      2017-06-26 16:09:29 -0400
  - Gather::IsolateDynamic skip directories that do not exist

0.47      2017-06-24 17:21:57 -0400
  - Fixed windows + autoconf regression

0.46      2017-06-22 13:02:52 -0400
  - Added Alien::Build::Plugin::Fetch::PromptBeforeDownload
  - Fixed typo in Alien::Build::Plugin::GnuWin32

0.45      2017-06-16 13:36:36 -0400
  - Documentation improvements

0.44      2017-06-12 10:52:08 -0400
  - Decode::HTML plugin unescapes URI encoded filenames, as it should (kiwiroy++ gh#17)

0.43      2017-06-11 21:23:55 -0400
  - Fix documentaton coverage for Alien::*::Install::Files
  - Additional fixes for Alien::*::Install::Files support

0.42      2017-06-11 09:09:55 -0400
  - Added Gather::IsolateDynamic plugin
  - This version includes The Answer to Life, the Universe and Everything.

0.41      2017-06-10 19:03:49 -0400
  - Added (undocumented so far) ffi option to Build::Autoconf plugin

0.40      2017-06-10 13:15:33 -0400
  - Added ffi block for alienfile.
  - Deprecate patch_ffi, build_ffi and gather_ffi directives.

0.39      2017-06-10 06:40:45 -0400
  - Added patch_ffi keyword for alienfile missing in previous release

0.38      2017-06-10 06:28:21 -0400
  - Added build_ffi and gather_ffi stages

0.37      2017-06-09 17:04:21 -0400
  - Generate ::Install::Files module for use with Inline, if cflags or libs are detected.

0.36      2017-04-13 04:05:45 -0400
  - Add runtime property: alien_build_version

0.35      2017-03-30 18:02:45 -0400
  - Add Build::SearchDep plugin
  - Add PkgConfig::MakeStatic plugin

0.34      2017-03-30 11:19:48 -0400
  - Add install property: old.prefix
  - Add install property: old.runtime

0.33      2017-03-29 20:38:56 -0400
  - Add runtime property: perl_module_version
  - Fix important typos

0.32      2017-03-28 14:14:52 -0400
  - Add documentation Alien::Build::Manual::AlienUser
  - Fixup compiler and linker flags when not doing a double staged install

0.31      2017-03-24 15:27:19 -0400
  - Better negotiation between pkg-config and cbuilder plugins (again)

0.30      2017-03-24 14:04:27 -0400
  - Better negotiation between pkg-config and cbuilder plugins

0.29      2017-03-24 12:57:13 -0400
  - Improved diagnostics
  - Fixed libpkgconf cache'ing bug

0.28      2017-03-21 17:10:43 -0400
  - Removed Alien::Build::Wrapper.  The same interface now exists as
    Alien::Base::Wrapper in a separate dist.

0.27      2017-03-16 21:00:02 -0400
  - %{cwd} helper uses / on windows instead of \

0.26      2017-03-16 15:03:53 -0400
  - Fixed bug where LWP FTP download could require either DirListing or HTML
    for decode.
  - Add %{cwd} helper

0.25      2017-03-10 15:05:03 -0500
  - You may now abreviate %{alien.foo.bar} as %{.foo.bar}

0.24      2017-03-10 02:23:40 -0500
  - Added Alien::Build::Wrapper

0.23      2017-03-09 22:02:41 -0500
  - Can store values using \'%{alien.install.foo}' notation
    with scalar command sequence
  - Filled out the AlienAuthor manual

0.22      2017-03-09 14:18:39 -0500
  - Add subplugin method to Alien::Build::Plugin
  - Filled out the FAQ

0.21      2017-03-06 00:09:33 -0500
  - Net::FTP plugin doesn't require trailing / in URL

0.20      2017-03-04 18:52:11 -0500
  - Remove experimental Alien::Base2.  Use Alien::Base 0.036 or better
    instead!

0.19      2017-03-01 08:53:14 +1100
  - Fix some platform and environment specific bugs in the test suite

0.18      2017-02-21 18:12:28 +1100
  - download hook gets called, even if you are using the fetch,
    decode, prefer hooks.

0.17      2017-02-16 08:28:19 +1100
  - Can now store the output of a command into a property using
    a scalar reference, like this:
    [ 'command', '--flags', \'%{alien.runtime.foo}' ]

0.16      2017-02-15 20:07:05 +1100
  - Add prefix to %{configure} helper for Build::Autoconf plugin
  - Add hook_prop to Alien::Build
  - Add system method to Alien::Build

0.15      2017-02-09 14:08:46 -0500
  - Fixed bug where requires sometimes did not return a hash reference

0.14      2017-02-09 02:07:09 -0500
  - Add meta directive to alienfile.
  - Use .pc files from dependant Aliens that used Alien::Build
  - Work around for elder Perls 5.8.7 and earlier

0.12      2017-02-08 15:39:56 -0500
  - Added Probe::GnuWin32 plugin

0.11      2017-02-08 07:56:08 -0500
  - Fixed regression in architecture logic for Alien::Build::MM
  - Fix bug where compile error wouldn't throw exception from
    Alien::Build->load

0.10      2017-02-06 05:24:25 -0500
  - Add heuristic to determine version from filename using
    Prefer::SortVersions plugin
  - Add log method to Alien::Build
  - Fixed bug in probe where first 'share' would be accepted (gh#7)

0.09      2017-02-04 17:31:00 -0500
  - Using an undefined property in command interpolation is now an
    error.
  - Added patch support.
  - Add meta property platform.compiler_type to flag Microsoft
    Visual C++ ("microsoft") compared with everything else ("unix")

0.08      2017-02-04 11:33:01 -0500
  - Fixed prereq bug introduced in 0.07

0.07      2017-02-04 11:21:13 -0500
  - The namespace Alien::Build::Plugin::Core is reserved for plugins
    that are automatically loaded for all instances of Alien::Build
  - Major refactor of Alien::Base2.  Please do not use it.
  - Improved documentation
  - Added Alien::Build::Plugin::Fetch::Local
  - Added support for ALIEN_BUILD_POSTLOAD
  - Fixed bug where PkgConfig negotiator plugin could cause prereqs
    to get added inappropriately
  - Make PkgConfig.pm a prereq on platforms that do not provide
    pkg-config or pkgconf.

0.06      2017-02-02 22:00:38 -0500
  - Added support for ALIEN_BUILD_PRELOAD
  - Legacy Alien::Base compatibility bug fixes
  - json files now use pretty formatting which is much easier
    to read

0.05      2017-02-02 12:06:36 -0500
  - Fixed bug in Alien::Base2 runtime
  - Added meta property "arch"
  - install state file is now called "state.json" to differentiate
    from runtime file "alien.json"

0.04      2017-02-01 17:19:10 -0500
  - Improved documentation

0.03      2017-02-01 11:56:07 -0500
  - Fixed interpolator bug expressed in older versions of Perl
  - Add patch hook to Alien::Build
  - Add patch directive to alienfile
  - Fixes for Microsoft Windows / Strawberry Perl
  - Removed dangerous autosave option from Alien::Build
  - Fixed error when trying to load modules without a $VERSION
  - test suite now runs correctly if ALIEN_INSTALL_TYPE is set
  - The Fetch::HTTPTiny and Fetch::LWP plugins now add the necessary
    SSL modules if the URL is of the https scheme.

0.02      2017-01-31 13:22:29 -0500
  - Extensive documentation improvements
    (documentation is still fairly incomplete).
  - Removed alienfile#prop
  - Added alienfile#meta_prop
  - Fixed a bug in Download::Negotiate and Prefer::SortVersions that
    expressed itself in Perl 5.14, 5.16 (and probably older Perls).
  - make distclean is less noisy now with Alien::Build::MM

0.01      2017-01-30 22:26:05 -0500
  - initial version
